﻿import QtQuick 2.5

Item {
    id: root
    width: 100
    height: 48

    property int m_slPropInt32NumValue: 0

    property var fontMain: Qt.font({ family: "Roboto Bk",  pixelSize: 42, italic: false, bold: true});
    property var colorMain: Qt.rgba(1.0, 1.0, 1.0, 1.0);
    
    Text {
        id: time_text;
        text: ""
        color: colorMain
        font: fontMain
        x: 0
        width: parent.width
        y: 0
        height: parent.height
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
    }

    Timer {
        id: timerUpdater
        interval: 50;
        running: true;
        repeat: true;
        onTriggered: {
            var n = m_slPropInt32NumValue;
            time_text.text = n < 0 ? "" : n.toString()
        }
    }
}
